<div class="modal-body rightsidebar-body p-0">
    <div class="top_transp_div"></div>
    <div class="right-topinput py-3 px-3">
        <div class="d-flex align-items-center">
            <div (click)="close();" class="cursor">
                <i class="las la-angle-left pr-1 f-18 text-gray55"></i>
                <span class="f-22 font-weight-normal WSF text-gray55">Inputs</span>
            </div>
            <div class="text-gray99 WSF font-weight-normal f-14 cursor pr-2 ml-auto txtUnderline" (click)="reset()">
                Reset
            </div>
        </div>
    </div>
    <div class="engine_bottom_space">
        <div class="row mx-0 mt-1" id="benchmark_auto_popup">
            <ng-container *ngFor="let input_filters of engine_inputs.input_filters">
                <div class="col-md-12">
                    <div class="dis-flex-row">
                        <div class="right-title">{{input_filters.group_name}}</div>

                        <div *ngIf="input_filters?.button_input?.list_name === 'auto_select'"
                             style="position: absolute;right: 20px;">
                            <div class="mr-1">
                                <button [disabled]="button_disabled"
                                        class="btn btn-sm btn-primary mr-2"
                                        (click)="openDialog(auto_pop,{windowClass: 'modal-fill-in animate modal-lg'})"
                                        style="border-radius: 5px;">{{input_filters?.button_input?.name}}
                                    <i class="fas fa-caret-right ml-2"></i></button>
                            </div>
                        </div>
                    </div>
                    <div>
                        <hr class="right-hr">
                    </div>
                </div>
                <div *ngIf="input_filters.group_type=='datepicker'" class="col-md-12 mt-1 mb-4">
                    <ng-container *ngFor="let inputs of input_filters.inputs">
                        <div class="float-left py-2 px-2  group-label right-input-box datePick"
                             [ngClass]="{'datepicker_cntr_line': inputs.name === 'fromdate',
                                       'datepicker_cntr_line_right': inputs.name === 'todate'}">
                            <!-- fromdate -->
                            <div class="input-group ngx-data-ui align-items-center er-calendar"
                                 *ngIf="inputs.name === 'fromdate'">
                                <input
                                    #fromdate="ngx-mydatepicker"
                                    (click)="fromdate.toggleCalendar()" [(ngModel)]="inputs.value"
                                    (dateChanged)="open_to_date(inputs.name)"
                                    [options]="datePickerOptionsfrom"
                                    class="form-control p-0 bg-transparent text_default input-box-style border-0 text-left  WSF cursor f-14"
                                    name="{{inputs.label}}" ngx-mydatepicker
                                    placeholder="choose a date"
                                    style="min-height:20px !important;max-height:20px !important;">
                                <div style="cursor: pointer">
                                    <span (click)="fromdate.toggleCalendar()">
                                        <i class="las la-calendar fa-lg"></i>
                                    </span>
                                </div>
                            </div>
                            <!-- todate -->
                            <div class="input-group ngx-data-ui align-items-center er-calendar-to"
                                 *ngIf="inputs.name !== 'fromdate'">
                                <input
                                    #todate="ngx-mydatepicker"
                                    (click)="todate.toggleCalendar()" [(ngModel)]="inputs.value"
                                    [options]="datePickerOptions"
                                    class="form-control p-0 bg-transparent text_default input-box-style border-0 text-left  WSF cursor f-14"
                                    name="{{inputs.label}}" ngx-mydatepicker
                                    placeholder="choose a date"
                                    style="min-height:20px !important;max-height:20px !important;">
                                <div style="cursor: pointer">
                                    <span (click)="todate.toggleCalendar()">
                                        <i class="las la-calendar fa-lg"></i>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </ng-container>
                </div>
                <div *ngIf="!input_filters.group_type" class="col-md-12 mb-3 mt-2">
                    <div *ngFor="let inputs of input_filters.inputs" class="mb-2" 
                    [hidden]="filter_inputs[inputs.list_name].length==1 && filter_inputs[inputs.list_name][0].id=='ALL'">
                        <div class="right-lable">{{inputs.label}}
                            <span *ngIf="inputs?.mandatory && inputs?.label" style="color: red;">*</span>
                        </div>
                        <div *ngIf="inputs.list_name!='lazy_product_list'">
                            <ss-multiselect-dropdown
                                    (ngModelChange)="multiselect_change($event, inputs.key, inputs.type)"
                                    [(ngModel)]="inputs.value"
                                    [disabled]="filter_inputs[inputs.list_name].length==0"
                                    [options]="filter_inputs[inputs.list_name]"
                                    [settings]="filter_inputs[inputs.select_settings]"
                                    [texts]="(inputs?.mandatory)?filter_inputs.multiselect_texts_select:filter_inputs.multiselect_texts"
                                    [ngClass]="[inputs.position_top ? 'dropdown_position' : '',  inputs.select_settings=='singleselect_settings' ? 'single-select-dropdown ' : '']"
                                    class="right-multidropdown" placement="bottom"
                                    ngbTooltip="{{inputs.tooltip && filter_inputs[inputs.list_name].length==0 ?  inputs.tooltip : ''}}">
                            </ss-multiselect-dropdown>
                        </div>
                        <div *ngIf="inputs.list_name=='lazy_product_list'" class="{{inputs?.class_name}}">
                            <ss-multiselect-dropdown 
                                (ngModelChange)="multiselect_change($event, inputs.key, inputs.type)"
                                [(ngModel)]="inputs.value" 
                                [disabled]="filter_inputs[inputs.list_name].length==0"
                                [options]="filter_inputs[inputs.list_name]" 
                                [settings]="filter_inputs[inputs.select_settings]"
                                [texts]="(inputs?.mandatory)?filter_inputs.multiselect_texts_select:filter_inputs.multiselect_texts"
                                [ngClass]="[inputs.position_top ? 'dropdown_position' : '',  inputs.select_settings=='singleselect_settings' ? 'single-select-dropdown ' : '']"
                                class="right-multidropdown" placement="bottom" 
                                (onLazyLoad)="load_products_data($event)"
                                ngbTooltip="{{inputs.tooltip && filter_inputs[inputs.list_name].length==0 ?  inputs.tooltip : ''}}">
                            </ss-multiselect-dropdown>
                        </div>
                    </div>
                </div>
                <div *ngIf="input_filters.group_type=='margin'" class="col-md-12 mb-3 mt-2">
                    <div *ngFor="let inputs of input_filters.inputs" class="mb-2">
                        <div class="row mr-0">
                            <div class="col-md-8 d-flex">
                                <div class="right-lable d-flex align-items-center">{{inputs.label}}
                                    <span style="color: red;margin-left: 5px;">*</span>
                                </div>
                            </div>
                            <div class="col-md-4 d-flex align-items-center">
                                <input class="form-control" placeholder="#" style="background-color: #F2F2F2;" required
                                (keypress)="numberOnly($event)"
                                       [(ngModel)]="inputs.value"/>
                                <div class="pl-2">%</div>
                            </div>
                        </div>
                    </div>
                </div>

            </ng-container>

            <ng-container *ngIf="filter_inputs.engine=='pricing'">
                <!-- //price change limit -->
                
                <div class="col-md-12">
                    <div class="dis-flex-row">
                        <div class="right-title">Price Change Limits</div>
                    </div>
                    <div>
                        <hr class="right-hr">
                    </div>
                </div>
                <div class="col-md-12 mb-3 mt-2">
                    <div class="mb-2">
                        <div class="d-flex align-items-center mb-3">
                            <div class="right-lable">Type</div>
                            <div class="pr-4 d-flex align-items-center ml-auto">
                                <div class="mr-2" [ngClass]="pricing_input.limit_type==1 ? 'type-math-active' : 'type-math-inactive'" (click)="pricing_input.limit_type=1"><span>$</span></div>
                                <div [ngClass]="pricing_input.limit_type==2 ? 'type-math-active' : 'type-math-inactive'"  (click)="pricing_input.limit_type=2"><span>%</span></div>
                            </div>
                
                        </div>
                        <div class="d-flex align-items-center mb-2">
                            <div class="right-lable">Min Change</div>
                            <div class="er-math pr-1 ml-auto">+/-</div>
                            <div class="input-group er-inputgroup float-right pr-4" *ngIf="pricing_input.limit_type==1">
                                <div class="input-group-prepend">
                                    <span class="input-group-text left-grouptext">$</span>
                                </div>
                                <input [(ngModel)]="pricing_input.min" class="form-control left-control" type="text" (keypress)="numberOnly($event)">
                            </div>
                            <div class="input-group er-inputgroup float-right pr-4" *ngIf="pricing_input.limit_type==2">
                                                <input class="form-control right-control"  type="text" [(ngModel)]="pricing_input.min" (keypress)="numberOnly($event)">
                                                <div class="input-group-prepend right-pre">
                                                    <span class="input-group-text right-grouptext">%</span>
                                                  </div>
                                              </div>
                        </div>
                        <div class="d-flex align-items-center mb-2">
                            <div class="right-lable">Max Change</div>
                            <div class="er-math pr-1 ml-auto">+/-</div>
                            <div class="input-group er-inputgroup float-right pr-4" *ngIf="pricing_input.limit_type==1">
                                                <div class="input-group-prepend">
                                                  <span class="input-group-text left-grouptext">$</span>
                                                </div>
                                                <input class="form-control left-control" [(ngModel)]="pricing_input.max" (keypress)="numberOnly($event)" type="text">
                                              </div>
                            <div class="input-group er-inputgroup float-right pr-4" *ngIf="pricing_input.limit_type==2">
                                <input [(ngModel)]="pricing_input.max" class="form-control right-control" type="text" (keypress)="numberOnly($event)">
                                <div class="input-group-prepend right-pre">
                                    <span class="input-group-text right-grouptext">%</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                
                
                <!-- Price ending prefer -->
                <div class="col-md-12" >
                    <div class="dis-flex-row">
                        <div class="right-title">Price Ending preference</div>
                    </div>
                    <div>
                        <hr class="right-hr">
                    </div>
                </div>
                <div  class="col-md-12 mb-3 mt-2">
                    <div class="mb-2">
                        <div class="d-flex align-items-center">
                            <div class="right-lable">Ending preference</div>
                            <div class="ml-auto pr-4 er-prview cursor"
                                (click)="openDialogpreview(pricePreview, { windowClass: 'modal-fill-in modal-md modal-md animate'})">
                                Preview<i class="fas fa-caret-right pl-1 v-middle"></i></div>
                        </div>
                        <div >
                            <ss-multiselect-dropdown
                                (onAdded)="ending_preference_change($event)"
                                [(ngModel)]="pricing_input.ending_preference"
                                [options]="filter_inputs['ending_preference_list']" 
                                [settings]="filter_inputs['singleselect_settings']"
                                [texts]="filter_inputs.multiselect_texts_select"
                                class="right-multidropdown single-select-dropdown" placement="bottom">
                            </ss-multiselect-dropdown>
                        </div>
                
                    </div>
                </div>
            </ng-container>
        </div>
        <!-- <div class="row mb-3 mx-0">
            <div class="col-md-12 mb-3 mt-2">
                <div class="mr-1">
                    <label class="switcher">
                        <input class="switcher-input" type="checkbox">
                        <span class="price-indicator switcher-indicator">
                          <span class="switcher-yes"></span>
                          <span class="switcher-no"></span>
                        </span>
                    </label>
                    <span class="right-lable">Some Option</span>
                </div>
            </div>
        </div> -->
    </div>
    <div class="bottom_transp_div"></div>
    <div class="right-bottombtn">
        <button (click)="apply_filters();" class="btn btn-primary er-runbtn m-3"
                style="margin-top: 10px !important;margin-left: 30px !important;"
                type="button">{{engine_inputs.analysis_button}}
        </button>
    </div>
</div>
<ng-template #auto_pop let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h5 class="modal-title">Auto Selection of Benchmark Store
        </h5>
        <button type="button" class="close" (click)="d('Cross click')">&times;</button>
    </div>
    <div class="modal-body" *blockUI="blockUIName;  template: blockTemplate">
        <h6 class="WSF">Analysis store</h6>
        <table class="table table-bordered thead-light auto-table">
            <thead>
            <tr>
                <th style="width: 6%;"></th>
                <th style="width: 18%;">Store #</th>
                <th style="width: 10%;">Brand</th>
                <th style="width: 25%;">Zone</th>
                <th style="width: 10%;">Store Type</th>
                <th style="width: 10%;">Net Sales</th>
                <th style="width: 10%;">Selling Sqft</th>
                
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let bm_store of construct_table.filtered_anay_stores;">
                <td> <label class="custom-control custom-radio auto-radio mb-0" style="cursor: pointer;">
                    <input class="custom-control-input" type="radio" name="popitems1"
                           (click)="selected_bm_store=bm_store;" checked>
                    <span class="custom-control-label"></span>
                </label></td>
                <td>{{bm_store.store_name}}</td>
                <td>{{bm_store.brand_name}}</td>
                <td>{{bm_store.zone}}</td>
                <td>{{bm_store.store_type}}</td>
                <td>${{bm_store.net_sales | number:'1.2-2'}}</td>
                <td>{{bm_store.selling_square_footage | number}}</td>
                
            </tr>
            </tbody>
        </table>
        <h6 class="WSF">Benchmark store</h6>
        <table class="table table-bordered thead-light auto-table">
            <thead>
            <tr>
                <th style="width: 6%;"></th>
                <th style="width: 18%;">Store #</th>
                <th style="width: 10%;">Brand</th>
                <th style="width: 25%;">Zone</th>
                <th style="width: 10%;">Store Type</th>
                <th style="width: 10%;">Net Sales</th>
                <th style="width: 10%;">Selling Sqft</th>
            </tr>
            </thead>
            <tbody>
            <tr class="cursor-pointer" *ngFor="let bm_store of construct_table.filterd_bm_stores;" [ngClass]="selected_bm_store==bm_store ? 'active-bg' : ''"  (click)="selected_bm_store=bm_store;">
                <td>
                    <label class="custom-control custom-radio auto-radio mb-0" style="cursor: pointer;">
                        <input class="custom-control-input" type="radio" name="popitems" [checked]="selected_bm_store==bm_store">
                        <span class="custom-control-label"></span>
                    </label>
                </td>
                <td >{{bm_store.store_name}}</td>
                <td>{{bm_store.brand_name}}</td>
                <td>{{bm_store.zone}}</td>
                <td>{{bm_store.store_type}}</td>
                <td>${{bm_store.net_sales | number:'1.2-2'}}</td>
                <td>{{bm_store.selling_square_footage | number}}</td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="modal-footer">
        <button class="btn btn-outline-primary" (click)="d('Cross click')">Cancel</button>
        <button class="btn btn-primary" (click)="apply_bm_store();d('Cross click')">Apply</button>
    </div>
</ng-template>

<ng-template #pricePreview let-c="close" let-d="dismiss">

    <div class="modal-body p-0 overflow-hidden border-0 border-radius-10" >
        <div class="d-flex align-items-center px-3">
            <div class="pp-close cursor" (click)="d('Cross click');"><i class="ion-md-close"></i></div>
            <div class="pp-title">Price Preview : {{pricing_input.selected_preference_value}}</div>
        </div>
        <div class="price-overview-scroll" [perfectScrollbar]>
        <table class="table table-bordered thead-light price-preview mb-0">
            <thead>
                <tr>
                    <th class="pp-th">Calculated Price </th>
                    <th class="pp-th">Updated Price</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let threshold of pricing_threshold;">
                    <td class="pp-td">{{threshold.mapping}}</td>
                    <td class="pp-td">{{threshold[pricing_input.selected_preference]}}</td>
                </tr>                
            </tbody>
        </table>
        </div>
    </div>

</ng-template>

<ng-template #blockTemplate>
    <div class="block-ui-template custom-bg-block-ui mb-3">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                     style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                     viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle>
                    <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.44999999999999996s">
                        </animate>
                    </circle>
                    <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle>
                    <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                </svg>
                <span class="loading-text-material">
                </span>
            </div>
        </div>
    </div>
</ng-template>
